Bug 204913 - AHCI (sata) not working with kernel 2.6.17-1.2174 but fine with 2.6.15-1.2054
AHCI (sata) not working with kernel 2.6.17-1.2174 but fine with 2.6.15-1.2054
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 07:08 EDT by kutz
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 03:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full dmesg output for an Asrock 939SLI32-eSATA2 motherboard (19.43 KB, text/plain)
2006-09-03 23:27 EDT, Bob Cochran
no flags Details

  None (edit)
Description kutz 2006-09-01 07:08:47 EDT
Description of problem:
Sys: Intel Core2 Duo 6700 , Asus P5-B Deluxe, 2GB RAM, Two AHCI SATA 300GB Disk
System boots fine with initial kernel 2.6.15-1.2054
but panics with latest kernel 2.6.17-1.217
the bios is installed, 0309.

Version-Release number of selected component (if applicable):
kernel 2.6.17-1.2174

How reproducible:
always

Steps to Reproduce:
1. install FC5
2. update FC5
3. try to boot with latest kernel
  
Actual results:
PCI: Bios Bug: MCFG is not E820 reserved
PCI: Not using MMCONFIG
nash...

...
kernel panic

Expected results:
no panic, system boot
Comment 1 Mostafa Afgani 2006-09-03 15:00:24 EDT
I can confirm the above. My configuration is the same except for the CPU which
is the Core2Duo E6600 and I have only one SATA Disk.
Comment 2 Bob Cochran 2006-09-03 23:27:14 EDT
Created attachment 135478 [details]
Full dmesg output for an Asrock 939SLI32-eSATA2 motherboard
Comment 3 Bob Cochran 2006-09-03 23:29:20 EDT
I'm noticing a less serious problem related to AHCI as well. I just built a new
system based on the Asrock 939SLI32-eSATA2 motherboard and the 2174 kernel goes
into some sort of a timing loop where it detects SATA II (3 Gbps) ports. Here is
a sample of the kernel output:

ACPI wakeup devices:
PE2P IEEE PS2K PS2M UAR1 USB0 USB1 USB2 UB20 AZAL PEB5 PEB6 PEB7 PEB1 PEB2 PEB3 PEB4
ACPI: (supports S0 S1 S3 S4 S5)
Freeing unused kernel memory: 200k freed
Write protecting the kernel read-only data: 919k
input: AT Translated Set 2 keyboard as /class/input/input0
SCSI subsystem initialized
libata version 1.20 loaded.
ahci 0000:00:16.1: version 1.2
ACPI: PCI Interrupt 0000:00:16.1[A] -> GSI 21 (level, low) -> IRQ 66
input: ImExPS/2 Generic Explorer Mouse as /class/input/input1
ahci 0000:00:16.1: AHCI 0001.0000 32 slots 4 ports 3 Gbps 0xf impl SATA mode
ahci 0000:00:16.1: flags: ncq ilck pm led clo pmp pio slum part
ata1: SATA max UDMA/133 cmd 0xFFFFC2000001C900 ctl 0x0 bmdma 0x0 irq 66
ata2: SATA max UDMA/133 cmd 0xFFFFC2000001C980 ctl 0x0 bmdma 0x0 irq 66
ata3: SATA max UDMA/133 cmd 0xFFFFC2000001CA00 ctl 0x0 bmdma 0x0 irq 66
ata4: SATA max UDMA/133 cmd 0xFFFFC2000001CA80 ctl 0x0 bmdma 0x0 irq 66
ata1: SATA link down (SStatus 0)
ata1: qc timeout (cmd 0xec)
ata1: dev 0 failed to IDENTIFY (I/O error)
scsi0 : ahci
ata2: SATA link down (SStatus 0)
ata2: qc timeout (cmd 0xec)
ata2: dev 0 failed to IDENTIFY (I/O error)
scsi1 : ahci
ata3: SATA link up 1.5 Gbps (SStatus 113)
ata3: dev 0 cfg 49:2f00 82:746b 83:7f01 84:4023 85:7468 86:3c01 87:4023 88:407f
ata3: dev 0 ATA-7, max UDMA/133, 781422768 sectors: LBA48
ata3: dev 0 configured for UDMA/133
scsi2 : ahci
ata4: SATA link down (SStatus 0)
ata4: qc timeout (cmd 0xec)
ata4: dev 0 failed to IDENTIFY (I/O error)
scsi3 : ahci
  Vendor: ATA       Model: WDC WD4000KD-00N  Rev: 01.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 781422768 512-byte hdwr sectors (400088 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
SCSI device sda: 781422768 512-byte hdwr sectors (400088 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
 sda: sda1 sda2
sd 2:0:0:0: Attached scsi disk sda
device-mapper: 4.6.0-ioctl (2006-02-17) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
...
...

It takes a long time for the kernel to get itself unstuck from the timeouts, but
it does boot.

I'm using an AMD Athlon 64 X2 4800+ (dual core) processor and 2 Gb of RAM.
Although I have only one SATA drive I've connected the 'eSATA' ports with cables
 only (no actual devices connected yet) per Asrock's documentation, so that at
some time in the future I can connect an SATA device. 

The full dmesg output is attached.
Comment 4 David Lawrence 2006-09-05 11:59:52 EDT
Changing to proper owner, kernel-maint.
Comment 5 Mostafa Afgani 2006-09-17 08:25:31 EDT
Problem persists in kernel-2.6.17-1.2187_FC5
Comment 6 Mostafa Afgani 2006-09-17 10:46:54 EDT
Updating the P5B BIOS to version 0509 solves the kernel panic and allows the
machine to boot but the following message is still produced by the kernel:

 PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved
 PCI: Not using MMCONFIG.
Comment 7 Mostafa Afgani 2006-10-02 03:50:27 EDT
Some more info:

In order to use the optical drive, I need to boot with the "all-generic-ide" and
"irqpoll" boot options as there is no native support for the JMicron controller.
While this does allow the machine to boot, it is very unstable. It hangs for no
apparent reason. The last recoded log messeges (there are lot of them) are
something like:

kernel: hdk: cdrom_pc_intr: The drive appears confused (ireason = 0x01)

If I leave out the boot options, the kernel (2187) panics. The 2054 kernel is
also unstable with those boot options but usually runs a lot longer before the
random crash. It does, however, boot and run stably without those boot options.

As a result, I am still stuck running the 2054 kernel and without the use of my
optical drives.

I tried the fc6 kernel from rawhide and found that it does detect the JMicron
controller -- but unfortunately it also says that the support is disabled in the
kernel.

I really hope this issue is resolved soon.
Comment 8 Dave Jones 2006-10-16 14:27:53 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 kutz 2006-10-25 03:02:31 EDT
update of mother had no success.

but

then new kernel 2.6.18 works!!!

Problem is closed

Note You need to log in before you can comment on or make changes to this bug.